<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

if ($superCage->post->keyExists('save')) {
	plg_fb_process_form($superCage);
}

if ($superCage->post->keyExists('revert')) {
	plg_fb_process_form($superCage, true);
}

plg_fb_display_form();

/***************************************************************************/

function plg_fb_display_form ()
{
	global $CONFIG, $superCage, $lang_common, $lang_gallery_admin_menu, $lang_plugin_fancybox;

	$submit_icon = cpg_fetch_icon('ok', 1);
	$thead = $lang_plugin_fancybox['config_name']." - ".$lang_gallery_admin_menu['admin_lnk'];

	$grpn = 0;
	if ($superCage->post->keyExists('gSel')) {
		$grpn = (int) $superCage->post->getEscaped('gSel');
	}

	$rvrtbut = '';
	if ($grpn && isset($CONFIG['plg_fancybox_cfg'.$grpn])) {
		$undo_icon = cpg_fetch_icon('undo', 1);
		$rvrtbut = '<button value="'.$lang_plugin_fancybox['revert'].'" name="revert" class="button" type="submit">'.$undo_icon.$lang_plugin_fancybox['revert'].'&nbsp;</button>&nbsp;&nbsp;';
	}

	$rslt = cpg_db_query("SELECT group_id, group_name FROM {$CONFIG['TABLE_USERGROUPS']} ORDER BY group_name");
	$group_list = cpg_db_fetch_rowset($rslt, true);

	$htm = '<select name="gSel" onchange="selectConfigGroup(event,this)" style="margin-left:3em">';
	$htm .= '<option value="0"'.($grpn==0?' selected':'').'>'.$lang_plugin_fancybox['default'].'</option>';
	foreach ($group_list as $group) {
		$htm .= '<option value="'.$group['group_id'].'"'.($grpn==$group['group_id']?' selected':'').'>'.$group['group_name'].'</option>';
	}
	$htm .= '</select><div id="plg_busy"></div>';

	$thead .= $htm;

	$cfg = json_decode(empty($CONFIG['plg_fancybox_cfg'.$grpn]) ? $CONFIG['plg_fancybox_cfg'] : $CONFIG['plg_fancybox_cfg'.$grpn], true);
	$dspsizef_checked = $cfg['dspsize']=='F' ? 'checked' : '';
	$dspsizei_checked = $cfg['dspsize']=='I' ? 'checked' : '';
	$dsptxtt_checked = empty($cfg['dsptxtt']) ? '' : 'checked';
	$dsptxtd_checked = empty($cfg['dsptxtd']) ? '' : 'checked';
	$bgopacity = (int)($cfg['bgop']*100);
	$cnthit_checked = $cfg['cnthit'] ? 'checked' : '';
	$down_checked = $cfg['down'] ? 'checked' : '';
	$downf_checked = $cfg['downs']=='F' ? 'checked' : '';
	$downi_checked = $cfg['downs']=='I' ? 'checked' : '';
	$down_dsp = $down_checked ? '' : 'style="display:none"';
	$prot_checked = $cfg['protect'] ? 'checked' : '';

	$down_func = 'if (this.checked) $(\'#downsopt\').show(\'slow\'); else $(\'#downsopt\').hide(\'slow\')';

	starttable('100%', $thead, 3);

	echo <<<EOT
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['dspsize']}
		</td>
		<td colspan="2" class="tableb">
			<input type="radio" name="dspsize" id="dspsizef" {$dspsizef_checked} value="F" /> <label for="dspsizef">{$lang_plugin_fancybox['fullsize']}</label>
			<input type="radio" name="dspsize" id="dspsizei" {$dspsizei_checked} value="I" /> <label for="dspsizei">{$lang_plugin_fancybox['intermediate']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['dsptext']}
		</td>
		<td colspan="2" class="tableb">
			<input type="checkbox" name="dsptxtt" id="dsptxtt" {$dsptxtt_checked} value="1" /> <label for="dsptxtt">{$lang_plugin_fancybox['title']}</label>&nbsp;
			<input type="checkbox" name="dsptxtd" id="dsptxtd" {$dsptxtd_checked} value="1" /> <label for="dsptxtd">{$lang_plugin_fancybox['description']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['bgopacity']}
		</td>
		<td colspan="2" class="tableb">
			<input type="number" name="bgop" id="bgop" value="{$bgopacity}" min="0" max="100" step="5" /> <label for="bgop">{$lang_plugin_fancybox['bgopper']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['cnthit']}
		</td>
		<td colspan="2" class="tableb">
			<input type="checkbox" name="cnthit" id="cnthit" value="1" {$cnthit_checked} /> <label for="cnthit">{$lang_plugin_fancybox['cnthit']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['download']}
		</td>
		<td colspan="2" class="tableb">
			<input type="checkbox" name="download" id="download" value="1" onchange="{$down_func}" {$down_checked} /> <label for="download">{$lang_plugin_fancybox['download']}</label>
		</td>
	</tr>
	<tr id="downsopt" {$down_dsp}>
		<td class="tableb">
			&nbsp;
		</td>
		<td colspan="2" class="tableb">
			<input type="radio" name="downs" id="down-f" value="F" {$downf_checked} /> <label for="down-f">{$lang_plugin_fancybox['down-f']}</label>
			<input type="radio" name="downs" id="down-i" value="I" {$downi_checked} /> <label for="down-i">{$lang_plugin_fancybox['down-i']}</label>
		</td>
	</tr>
	<tr>
		<td class="tableb">
			{$lang_plugin_fancybox['protect']}
		</td>
		<td colspan="2" class="tableb">
			<input type="checkbox" name="protect" id="protect" value="1" {$prot_checked} /> <label for="protect">{$lang_plugin_fancybox['click']}</label>
		</td>
	</tr>
	<tr>
		<td colspan="3" class="tableb" style="text-align:center">
			<br />{$rvrtbut}<button value="{$lang_common['apply_changes']}" name="save" class="button" type="submit">{$submit_icon}{$lang_common['apply_changes']}</button>
		</td>
	</tr>
EOT;

	endtable();
}


function plg_fb_process_form ($sC, $revert=false)
{
	global $CONFIG, $lang_common, $lang_plugin_fancybox;

	$grpn = 0;
	if ($sC->post->keyExists('gSel')) {
		$grpn = (int) $sC->post->getEscaped('gSel');
	}
	$grpc = $grpn ?: '';

	if ($revert && $grpc) {
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plg_fancybox_cfg{$grpc}'");
		unset($CONFIG['plg_fancybox_cfg'.$grpc]);
		return;
	}

	$cfg = [];
	$cfg['dspsize'] = $sC->post->getAlpha('dspsize');
	$cfg['dsptxtt'] = $sC->post->getInt('dsptxtt');
	$cfg['dsptxtd'] = $sC->post->getInt('dsptxtd');
	$cfg['bgop'] = $sC->post->getInt('bgop')/100;
	$cfg['cnthit'] = $sC->post->getInt('cnthit');
	$cfg['down'] = $sC->post->getInt('download');
	$cfg['downs'] = $sC->post->getAlpha('downs');
	$cfg['protect'] = $sC->post->getInt('protect');

	cpg_config_set('plg_fancybox_cfg'.$grpc, json_encode($cfg), true);

	msg_box('', $lang_plugin_fancybox['saved'], '', '', 'success');
}

echo <<<EOT
<script type="text/javascript">
function selectConfigGroup (e,elm) {
	document.getElementById("plg_busy").style.display = "inline-block";
	document.getElementById("cfgForm").submit();
}
</script>
EOT;

//EOF